XT-INSTALL-IMAGE(8)

NAME
xt-install-image - Install a fresh copy of GNU/Linux into a directory

SYNOPSIS
  xt-install-image [options]

  Help Options:
   --help           Show this scripts help information.
   --manual         Read this scripts manual.
   --version        Show the version number and exit.

  Debugging Options:
   --verbose        Be verbose in our execution.

  Mandatory Options:
   --location       The location to use for the new installation
   --dist           The name of the distribution which has been installed.

  Misc Options:
   --arch           Pass the given arch setting to debootstrap or rpmstrap.
   --config         Read the specified config file in addition to the global
                    configuration file.
   --mirror         The mirror to use when installing with 'debootstrap'.
   --apt_proxy      The proxy to use when installing with 'debootstrap'.
   --keyring        The keyring to use when installing with 'debootstrap'.

  Installation Options:
   --install-method  Specify the installation method to use.
   --install-source  Specify the installation source to use.
   --debootstrap-cmd Specify which debootstrap command to
                     use. Defaults to debootstrap if both, debootstrap
                     and cdebootstrap are installed.

  All other options from xen-create-image will be passed as environmental
 variables.

NOTES
  This script is invoked by xen-create-image after to create a new
 distribution of Linux.  Once the script has been created the companion
 script xt-customize-image will be invoked to perform the network
 configuration, etc.

INSTALLATION METHODS
  There are several available methods of installation, depending upon the
 users choice.  Only one option may be chosen at any given time.

  The methods available are:

debootstrap Install the distribution specified by the --dist argument using the debootstrap.  If you use this option you must specify a mirror with --mirror.
copy Copy the given directory recursively.  This local directory is assumed to contain a complete installation.  Specify the directory to copy with the --install-source argument.
rinse Install the distribution specified by --dist using the rinse command.
rpmstrap Install the distribution specified by --dist using the rpmstrap command.
tar Untar a .tar file into the new installation location.  This tarfile is assumed to contain a complete archived system.   Specify the directory to copy with the --install-source argument.

AUTHORS
 Steve Kemp, https://steve.fi/
 Axel Beckert, https://axel.beckert.ch/
 Dmitry Nedospasov, http://www.nedos.net/
 Stéphane Jourdois

LICENSE
Copyright (c) 2005-2009 by Steve Kemp, (c) 2010 by The Xen-Tools Development Team. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The LICENSE file contains the full text of the license.